Problema de bajada de Android

Estoy usando Unity para crear y crear mi aplicación. Ya tengo mi aplicación en Play Store con este número de versión:

4220 (4.2.2)

También tengo la aplicación instalada en mi dispositivo Android.

Ahora, he creado una nueva versión de mi aplicación y la he agregado a mi file de manifiesto:

<manifest xmlns:android="http://schemas.android.com/apk/res/android" package="xxx.xxxxxxxx.xxxxxxx" android:installLocation="preferExternal" android:versionCode="5000" android:versionName="5.0.0"> 

(x es, por supuesto, mi ID de aplicación)

Ahora, cuando construyo desde Unity obtengo este error:

Error [INSTALL_FAILED_VERSION_DOWNGRADE]

Ahora, he buscado en la networking soluciones a esto y no veo lo que estoy haciendo mal aquí?!?!?

Por favor ayuda, y cualquier ayuda es apreciada 🙂

Unity sobrescribe los valores de su AndroidManifest.xml personalizado con las diversas configuraciones en la Configuración del reproductor .

Por lo tanto, compruebe sus valores en Edición> Configuración de proyecto> Reproductor> Android> Otras configuraciones> Identificación> Versión y Código de versión del package .

Puede inspeccionar el AndroidManifest.xml fusionado del APK con una herramienta como ClassyShark